<?php

$session = $this->getSession();
$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();


//$intervenant_index->noLimit();

?>
<script type='text/javascript'>

    var show_detail = false;

    $(document).ready(function () {
        var oTableIntervenant;
        setClickableRow();
        oTableIntervenant = $(".table_module").dataTable({
            "bPaginate": true,
            "bProcessing": false,
            "bInfo": false,
            "oLanguage": {
                "sZeroRecords": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_error')) ; ?>",
                "sSearch": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_label')) ; ?> :"
            },
            "sPaginationType": "full_numbers",
        });
        oSettings = oTableIntervenant.fnSettings();
    });
    function setClickableRow() {
        $("table .table-clickable-row").each(function () {
            var redirect = $(this).attr('href')
            $(".table-row-data", $(this)).click(function () {
                window.location.href = redirect;
            })
        })
    }

    function confirmer(url) { // jfb 2016-04-13
    	if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
    		document.location.href = url ;
    	}
    }
</script>


<div class="table-responsive">
    <div id="optiontools"></div>

    <div id="table_intervenant_index_wrapper">
        <table id="table_intervenant_index"
               class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
            <caption><?php echo $filter_no_html->filter( $i18n -> say('intervenant_title_index')) ; ?></caption>
            <thead>
            <tr class="headings">
              <!--    <th><?php echo $filter_no_html->filter( $i18n->say('identification')) ; ?></th> -->
                <th><?php echo $filter_no_html->filter( $i18n->say('nom')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('prenom')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('metier')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('adresse')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('email')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('telephone')) ; ?></th>                
                
                <th colspan="2" align="center">
                    <a href="<?php echo $this->getRequest('Intervenant', 'add'); ?>">
                        <span class="glyphicon glyphicon-plus-sign" style="font-size: 32px;" alt="Ajouter"
                              title="Ajouter"></span>
                    </a>
                </th>
            </tr>
            </thead>
            <tbody>
            <?php foreach($intervenants_index as $intervenant){ ?>
					<tr href="<?php echo $this->getRequest('Intervenant', 'show', array($intervenant->get('id'))); ?>" title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>" class="table-clickable-row">
                <td class="table-row-data"><?php echo $intervenant->get('nom', $filter_html); ?></td>
                <td class="table-row-data"><?php echo $intervenant->get('prenom', $filter_html); ?></td>
                <td class="table-row-data"><?php echo $intervenant->get('metier', $filter_html); ?></td> <!-- jfb 2016-06-06 mantis 285 -->
                <td class="table-row-data"><?php echo $intervenant->get('adresse', $filter_html); ?></td>
                <td class="table-row-data"><?php echo $intervenant->get('email', $filter_html); ?></td>
                <td class="table-row-data"><?php echo $intervenant->get('telephone', $filter_html); ?></td>
                
                <td class="table-row-option"><a
                        href="<?php echo $this->getRequest('Intervenant', 'edit', array($intervenant->get('id'))); ?>"><span
                        class="glyphicon glyphicon-edit" style="font-size: 18px;" alt="Editer"
                        title="Editer"></span></a></td>
                <td class="table-row-option">
						<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;"
						onclick="confirmer('<?php echo $this->getRequest('Intervenant', 'delete', array($intervenant->get('id'))); ?>');"
						alt="Supprimer" title="Supprimer"></span>
                </td>
            </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
</div>
<div style="float:left;padding-bottom:10px;padding-top:10px">
	<span> 
		<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>
